Subject: [alpine-devel] Guidance for new aport (E22 Enlightenment)

From: Bob Hampton <[email-masked]>
Date: Sat, 24 Mar 2018 15:17:45 -0600

I'm trying to submit 3 new aports for Enlightenment - firstly, bullet3 -
a physics library, EFL - Enlightenment Foundation Libraries, and lastly
- Enlightenment (E22) a lightweight but powerful desktop environment.

There will be a lot of work managing this, EFL is undergoing some much
needed reorganization and keeping up with that will be amusing, however
it is currently usable.  There is also the issue of getting the
packaging (what's included) right, as well as providing support for
Wayland. (Coming up with a good way to build with just the display
libraries a user wants - to sdl or not, dbm? etc).

The three aports submitted currently build correctly on a clean VM with
just alpine-sdk.  They even install correctly on a clean machine.

Unfortunately, I'm having problems getting the pull request to
successfully pass Travis.  Fundamentally, the E stack spews during
documentation builds - including building texlive.  There may also be an
issue with my git usage (I am new at that - I've been programming since
1978, so the builds themselves are a different matter).  You may want me
to rebase again the current commits or even pull the request and start
afresh.  Or just submit patches.

I would really like to contribute to Alpine Linux.  I have a homemade
SCADA (C,Python) toolkit that I would like to add, new aport for Kivy
(Python framework), and others.  However I need someone to glance at the
pull request and let me
know what stupid things I'm doing/overlooking -

Regards,
Bob

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---